ASFLAGS = -gstabs
CFLAGS = -g -Wall -pedantic -no-pie
PROJECT = sum_1

.PHONY: clean

$(PROJECT): $(PROJECT).o 
	gcc $(CFLAGS) -o $(PROJECT) $(PROJECT).o

$(PROJECT).o: $(PROJECT).s
	as $(ASFLAGS) -o $(PROJECT).o $(PROJECT).s

clean:
	rm -f *.o
	rm -f $(PROJECT)
	rm -f *~

